## net.sf.saxon.om
Interface DocumentInfo

All Superinterfaces:
  Item, NodeInfo, javax.xml.transform.Source

All Known Implementing Classes:
  DocumentImpl, DocumentWrapper, DocumentWrapper, StrippedDocument, TextFragmentValue, TinyDocumentImpl

public interface DocumentInfo
extends NodeInfo

The root node of an XPath tree. (Or equivalently, the tree itself).

This class is used not only for the root of a document, but also for the root of a result tree fragment, which is not constrained to contain a single top-level element.

Field Summary

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, LOCAL_NAMESPACES, NO_NAMESPACES`

Method Summary
`Configuration` `getConfiguration()` Get the configuration previously set using setConfiguration
`int` `getDocumentNumber()` Get the unique document number for this document (the number is unique for all documents within a NamePool)
`NamePool` `getNamePool()` Get the name pool used for the names in this document
`java.lang.String[]` `getUnparsedEntity(java.lang.String name)` Get the unparsed entity with a given name
`NodeInfo` `selectID(java.lang.String id)` Get the element with a given ID, if any
`void` `setConfiguration(Configuration config)` Set the configuration, which defines the name pool used for all names in this document.

Methods inherited from interface net.sf.saxon.om.NodeInfo
`compareOrder, copy, generateId, getAttributeValue, getBaseURI, getDisplayName, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNodeKind, getParent, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, isSameNodeInfo, iterateAxis, iterateAxis, outputNamespaceNodes`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getTypedValue`

Method Detail

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the configuration, which defines the name pool used for all names in this document. This is always called after a new document has been created. The implementation must register the name pool with the document, so that it can be retrieved using getNamePool(). It must also call NamePool.allocateDocumentNumber(), and return the relevant document number when getDocumentNumber() is subsequently called.

  Parameters:
    `config` - The configuration to be used

### getConfiguration

    public Configuration getConfiguration()

  Get the configuration previously set using setConfiguration

### getNamePool

    public NamePool getNamePool()

  Get the name pool used for the names in this document

  Specified by:
    `getNamePool` in interface `NodeInfo`
  Returns:
    the name pool in which all the names used in this document are registered

### getDocumentNumber

    public int getDocumentNumber()

  Get the unique document number for this document (the number is unique for all documents within a NamePool)

  Specified by:
    `getDocumentNumber` in interface `NodeInfo`
  Returns:
    the unique number identifying this document within the name pool

### selectID

    public NodeInfo selectID(java.lang.String id)

  Get the element with a given ID, if any

  Parameters:
    `id` - the required ID value
  Returns:
    the element with the given ID, or null if there is no such ID present (or if the parser has not notified attributes as being of type ID)

### getUnparsedEntity

    public java.lang.String[] getUnparsedEntity(java.lang.String name)

  Get the unparsed entity with a given name

  Parameters:
    `name` - the name of the entity
  Returns:
    if the entity exists, return an array of two Strings, the first holding the system ID of the entity, the second holding the public ID if there is one, or null if not. If the entity does not exist, return null.